KURLBarListBox Class Reference

`#include <kurlbar.h>`

Inherits KListBox.

## Signals

void | dropped (QDropEvent *e)

## Public Member Functions

| KURLBarListBox (QWidget *parent=0, const char *name=0)
| ~KURLBarListBox ()
virtual void | setOrientation (Qt::Orientation orient)
Qt::Orientation | orientation () const
bool | isVertical () const

## Protected Member Functions

virtual QDragObject * | dragObject ()
virtual void | contentsDragEnterEvent (QDragEnterEvent *)
virtual void | contentsDropEvent (QDropEvent *)
virtual void | contextMenuEvent (QContextMenuEvent *)
virtual void | paintEvent (QPaintEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This is the listbox used in KURLBar.

It is a subclass of KListBox to support drag & drop and to set up the row / column mode.

The widget has just one row or one column, depending on orientation().

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Definition at line 493 of file kurlbar.h.

## Constructor & Destructor Documentation

KURLBarListBox::KURLBarListBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a KURLBarListBox.

Definition at line 818 of file kurlbar.cpp.

KURLBarListBox::~KURLBarListBox | ( |  | ) |

Destroys the box.

Definition at line 826 of file kurlbar.cpp.

## Member Function Documentation

QDragObject * KURLBarListBox::dragObject | ( |  | ) |

protected virtual

Returns
  a suitable QDragObject when an item is dragged.

Definition at line 838 of file kurlbar.cpp.

void KURLBarListBox::dropped | ( | QDropEvent * | e | ) |

signal

Emitted when a drop-event happened.

Qt::Orientation KURLBarListBox::orientation | ( |  | ) | const

inline

Returns
  the current orientation.

See also
  setOrientation

Definition at line 518 of file kurlbar.h.

void KURLBarListBox::setOrientation | ( | Qt::Orientation | orient | ) |

virtual

Sets the orientation of the widget.

Horizontal means, all items are arranged in one row. Vertical means, all items are arranged in one column.

See also
  orientation

Definition at line 874 of file kurlbar.cpp.

The documentation for this class was generated from the following files:

- kurlbar.h
- kurlbar.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys